Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 214527 - xfce-extra/xfce4-sensors fails to call hddtemp, option -F unknown
Summary: xfce-extra/xfce4-sensors fails to call hddtemp, option -F unknown
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: XFCE Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-24 14:14 UTC by Torsten Krah
Modified: 2008-05-31 11:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Quick & dirty patch to fix hddtemp invocation (hddtemp-wrong-invocation.patch,352 bytes, patch)
2008-03-25 13:13 UTC, Paolo Pedroni
Details | Diff
modified patch to ignore fd's and md's (hddtemp.3.patch,790 bytes, patch)
2008-04-03 10:09 UTC, Andy Crook
Details | Diff
modified ebuild to use this patch (xfce4-sensors-0.10.99.3-r1.ebuild,952 bytes, text/plain)
2008-04-03 10:10 UTC, Andy Crook
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Krah 2008-03-24 14:14:10 UTC
Starting xfce4-sensors applet build with hddtemp support does result in the following error:

/usr/sbin/hddtemp -F -n -q /dev/sda
/usr/sbin/hddtemp: Ungültige Option -- F

Reproducible: Always

Steps to Reproduce:
1. Start the sensors applet, built with hddtemp support.
2. Watch the error.
3.

Actual Results:  
It works, however no support for monitoring hddtemp sensors.

Expected Results:  
Support monitoring disk sensors should work, -F option is unknown to hddtemp.

Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r3 i686)
=================================================================
System uname: 2.6.24-gentoo-r3 i686 Intel(R) Pentium(R) M processor 1.60GHz
Timestamp of tree: Sun, 23 Mar 2008 13:46:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.3.5-r3, 2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=i686 -fomit-frame-pointer -pipe -mno-tls-direct-seg-refs"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -mtune=i686 -fomit-frame-pointer -pipe -mno-tls-direct-seg-refs"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer noinfo parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.gentoo.mesh-solutions.com/gentoo/ "
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/gentoo-de /usr/local/portage/default /usr/local/portage/layman/perl-experimental /usr/local/portage/layman/lila-theme"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aalib acl acpi alsa arts bash-completion berkdb bzip2 cairo cdr cjk cli cracklib crypt cscope cups dbus dga directfb dri dvd dvdr dvdread eds emboss encode esd evo fam fbcon firefox flac fortran gdbm ggi gif gnome gpm gstreamer gtk gtkhtml hal iconv idn ipv6 isdnlog jack java jikes jpeg jpeg2k kde kerberos kolab lcms ldap libnotify mad midi mikmod mmx modperl mouse mp3 mpeg mudflap musepack mysql nas ncurses nls nptl nptlonly odbc ogg opengl openmp oss pam pch pcre pcsc-lite pdf perl pkcs11 png postgres pppd python qt3 qt3support qt4 quicktime readline reflection samba scanner sdl session slang smartcard snmp spell spl sse sse2 ssl startup-notification svg svga tcltk tcpd tiff truetype unicode vim-syntax vorbis win32codecs x86 xinerama xml xorg xprint xv zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias asis auth_digest authn_dbd cern_meta charset_lite dbd dumpio ident imagemap log_forensic proxy proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http version" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" LIRC_DEVICES="pctv" USERLAND="GNU" VIDEO_CARDS="radeon v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Paolo Pedroni 2008-03-25 13:13:20 UTC
Created attachment 147245 [details, diff]
Quick & dirty patch to fix hddtemp invocation

This should be enough to fix it.
Comment 2 Andy Crook 2008-04-03 10:09:31 UTC
Created attachment 148199 [details, diff]
modified patch to ignore fd's and md's
Comment 3 Andy Crook 2008-04-03 10:10:45 UTC
Created attachment 148201 [details]
modified ebuild to use this patch
Comment 4 Paolo Pedroni 2008-04-21 21:14:09 UTC
Bump! Can we have this fixed, please?

Comment 5 Samuli Suominen gentoo-dev 2008-05-31 11:48:04 UTC
+*xfce4-sensors-0.10.99.3-r1 (31 May 2008)
+
+  31 May 2008; Samuli Suominen <drac@gentoo.org>
+  +files/xfce4-sensors-0.10.99.3-acpi.patch,
+  +files/xfce4-sensors-0.10.99.3-hddtemp.patch,
+  +xfce4-sensors-0.10.99.3-r1.ebuild:
+  Apply patches ffrom bugs 217743 and 214527, thanks to Torsten Krah, Paolo
+  Pedroni, Tim Taubert and Andy Crook. Fixes for ACPI and hddtemp.